# Rate Limit

To improve clarity on usage limits, we  have Rate Limits on some of our endpoint. This section will outline the rate limits applied across our endpoints, detailing the maximum number of requests allowed within specific timeframes (e.g., per minute, hour, or day). Including this information helps you to your users API requests effectively and avoid potential rate limit errors.

Additionally, we will add a note under each endpoint in the documentation specifying its rate limits. This ensures that you understand the limits specific to each endpoint at a glance as well.

These are the Rate Limits we have:

\
**Get\_card\_details**: once every 3 seconds for a specific&#x20;

**Card\_id get\_card\_balance**: once every 3 seconds for a specific&#x20;

**Card\_id get\_card\_transaction\_history**: once every 3 seconds for a specific card\_id and a unique page&#x20;

**Fund\_card:** once every 5 mins for a specific card\_id unload\_card: once every 5 mins for a specific&#x20;

**Card\_id register\_cardholder:** a cardholder can only retry his KYC once every minute&#x20;

**Fx\_rate**: once every minute


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bridgecard.co/reference/api-reference/rate-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
